import java.util.EnumSet;

enum DayOfWeek {
    SUNDAY,
    MONDAY,
    TUESDAY,
    WEDNESDAY,
    THURSDAY,
    FRIDAY,
    SATURDAY,
};

public class Main {
    private static final EnumSet<DayOfWeek> holidays = EnumSet.of(DayOfWeek.SUNDAY, DayOfWeek.SATURDAY);

    public static void main(String... args) {
        executeByDay(DayOfWeek.FRIDAY);
    }
    public static void executeByDay(DayOfWeek dow) {
        if (holidays.contains(dow)) { // 条件分岐を簡易化できる
            System.out.println("day off");
        } else {
            System.out.println("workday");
        }
    }
}
