enum Gender {
    MAN("Man") {
        @Override // 個別実装をオーバーライドして実装
        void exec() {
            System.out.println("otoko");
        }
    },
    WOMAN("Woman") {
        @Override
        void exec() {
            System.out.println("onna");
        }
    },
    OTHER("Other") {
        @Override
        void exec() {
            System.out.println("fumei");
        }
    };
    // 個別実装させたいメソッドを抽象メソッドで用意する（注6）
    abstract void exec();

    // コンストラクタの引数をvalueフィールドに受けてtoStringで返すのはenum型の定石
    private final String value;
    Gender(String value) {
        this.value = value;
    }
    @Override
    public String toString() {
        return value;
    }
}
