public class Main {
    public static void main(String... args) throws InterruptedException {
        try (MyResource myRes1 = new MyResource();
             MyResource myRes2 = new MyResource()) {
            //リソース利用処理
            System.out.println("use");    
        } catch (Exception e) {
            //エラー処理（スコープ外なのでリソースは使えない）
            System.out.println("error");
        } finally {
            //全体の終了処理（スコープ外なのでリソースは使えない）
            System.out.println("fin");
        }
    }
}
