import java.io.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        if (args.length <= 0) {
            System.out.println("コマンドライン引数でファイル名を指定してください");
            System.exit(0);
        }

        try (BufferedReader in = new BufferedReader(new FileReader(args[0]))) {
                // 下記2行は説明のために分割（通常は1行で書きます）
                Stream<String> lines = in.lines();  // ファイルの1行ごとのStream
                lines.forEach(System.out::println);
            } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
