import java.io.*;
import java.nio.file.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) throws IOException {
        Path dir = Paths.get("/tmp");          // 指定ディレクトリ
        Stream<Path> paths = Files.list(dir);  // ディレクトリ内のファイルPathを要素に持つStream
        /*
        // walkメソッドはサブディレクトリ内のパスも取得可能
        Stream<Path> paths = Files.walk(dir, 2); // サブディレクトリ内のファイルPathを要素に持つStream
        */
        
        paths.forEach(System.out::println);
    }
}
