public class MyThread extends Thread {
    private final String name; // サブスレッド識別用の文字列（注5）

    MyThread(String name) {
        this.name = name;
    }

    @Override
    public void run() { // サブスレッドのエントリポイント
        for (int i = 0; i < 256; i++) {
            System.out.println(name + " " + i);
        }
    }

    public static void main(String... args) throws InterruptedException {
        Thread t1 = new MyThread("one");
        Thread t2 = new MyThread("two");

        t1.start(); // サブスレッドはrunメソッドを処理
        t2.start(); // サブスレッドはrunメソッドを処理

        // メインスレッドの処理
        for (int i = 0; i < 256; i++) {
            System.out.println("main " + i);
        }
        // joinメソッドはサブスレッドが終了するまで待つ命令
        t1.join();
        t2.join();
    }
}
