import java.io.*;
import java.lang.reflect.*;

public class MyModifyField {
    public static void main(String... args) {
        try {
            File file = new File("/tmp");
            Class<? extends File> clazz = file.getClass();

            // privateフィールドのpathを取得
            Field field = clazz.getDeclaredField("path");
            if (!field.isAccessible()) {
                field.setAccessible(true); // 危険!
            }

            System.out.println(field.get(file)); //=> "tmp"を表示

            field.set(file, "/tmp/newfile"); // フィールドを書き換え
            file.createNewFile();
        } catch (ReflectiveOperationException | IOException e) {
            e.printStackTrace();
        }
    }
}
