import java.lang.reflect.Constructor;

public class MyInstance {
    public static void main(String... args) {
        try {
            Class<?> clazz = Class.forName("java.lang.StringBuilder");
            // String.classはStringBuilderのコンストラクタの引数の型
            Constructor<?> constructor = clazz.getConstructor(String.class);
            // StringBuilderオブジェクトの生成
            StringBuilder sb = (StringBuilder)constructor.newInstance("abc");
        } catch (ReflectiveOperationException e) {
            e.printStackTrace();
        }
    }
}
