import javafx.beans.binding.Bindings;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class Main {
    public static void main(String...args) {
        StringProperty text = new SimpleStringProperty("");
        IntegerProperty count = new SimpleIntegerProperty(0);
        
        count.bind(Bindings.length(text));

        text.set("word");
        assert(count.get() == 4);

        text.set("word word");
        assert(count.get() == 9);
    }
}
