import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.TextField;
import javafx.scene.input.InputEvent;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        TextField textField = new TextField();
        textField.addEventHandler(InputEvent.ANY, new EventHandler<InputEvent>() {
            @Override
            public void handle(InputEvent event) {
                Runnable task = new Runnable() {
                    public void run() {
                        try {
                            // simulate a long task
                            Thread.sleep(100);
                        } catch (InterruptedException e) {
                        }
                    }
                };
                Thread thread = new Thread(task);
                thread.setDaemon(true);
                thread.start();
            }
        });
        
        Scene scene = new Scene(new StackPane(textField), 300, -1);
        primaryStage.setScene(scene);
        primaryStage.setTitle("Non-blocking Event Dispatch");
        primaryStage.show();
    }
}
