import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.stage.WindowEvent;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        Scene scene = new Scene(new Group(), 300, 200);
        primaryStage.setScene(scene);
        primaryStage.setTitle("Alert Box");
        primaryStage.setOnShown(new EventHandler<WindowEvent>() {
            @Override
            public void handle(WindowEvent event) {
                Stage alertBox = new MyAlertBox(
                        primaryStage, "The deadline is coming closer.");
                alertBox.show();
            }
        });
        primaryStage.show();
    }
}
