import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        Button b1 = new Button("Button 1");
        Button b2 = new Button("Button 2");
        Button b3 = new Button("Button 3");

        AnchorPane pane = new AnchorPane();
        pane.getChildren().addAll(b1, b2, b3);
        
        AnchorPane.setLeftAnchor(b1, 10.0);
        AnchorPane.setTopAnchor(b1, 10.0);
        
        AnchorPane.setRightAnchor(b2, 10.0);
        AnchorPane.setTopAnchor(b2, 10.0);
        
        AnchorPane.setLeftAnchor(b3, 10.0);
        AnchorPane.setRightAnchor(b3, 10.0);
        AnchorPane.setBottomAnchor(b3, 10.0);
        
        Scene scene = new Scene(pane, 300, 200);
        primaryStage.setScene(scene);
        primaryStage.setTitle("AnchorPane");
        primaryStage.show();
    }
}
