import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        Button b1 = new Button("Left Button");
        Button b2 = new Button("Right Button");

        HBox pane = new HBox();
        pane.setAlignment(Pos.BOTTOM_RIGHT);
        pane.setSpacing(5);
        pane.setPadding(new Insets(10, 10, 10, 10));
        pane.getChildren().addAll(b1, b2);
        
        Scene scene = new Scene(pane, 300, 200);
        primaryStage.setScene(scene);
        primaryStage.setTitle("HBox");
        primaryStage.show();
    }
}
