import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.layout.TilePane;
import javafx.stage.Stage;

public class MyApplication extends Application {
    @Override
    public void start(Stage primaryStage) throws Exception {
        CheckBox c1 = new CheckBox("Check Box");
        CheckBox c2 = new CheckBox("Long Check Box");
        CheckBox c3 = new CheckBox("Short");
        CheckBox c4 = new CheckBox("Check Box");

        TilePane pane = new TilePane();
        pane.setTileAlignment(Pos.CENTER_LEFT);
        pane.setPadding(new Insets(10, 10, 10, 10));
        pane.setHgap(5);
        pane.setVgap(5);
        pane.getChildren().addAll(c1, c2, c3, c4);

        Scene scene = new Scene(pane, 300, 200);
        primaryStage.setScene(scene);
        primaryStage.setTitle("TilePane");
        primaryStage.show();
    }
}
