import java.util.Comparator;

class MyHost {
    // privateスコープのネストクラス
    private static class StringLengthComparator implements Comparator<String> {
        @Override public int compare(String s1, String s2) {
            return s1.length() - s2.length();
        }
    }

    // ネストクラスのオブジェクト参照を返すメソッド
    public Comparator<String> getComparator() {
        return new StringLengthComparator();
    }
}
