import java.util.*;

public class Main {
    public static void main(String... args) {
        List<String> list = Arrays.asList("xyz", "abc", "defghi");

        Collections.sort(list, new Comparator<String>() { // sortメソッドの第2引数に匿名オブジェクトを渡す
            @Override
            public int compare(String s1, String s2) {
                return s1.length() - s2.length();
            }
        });

        System.out.println(list); //=> [xyz, abc, defghi] を出力
    }
}