import java.util.*;

public class Main {
    public static void main(String... args) {
        // 配列を利用
        // 要素を追加削除できない制約あり（後述する「配列からListオブジェクトに変換」を参照）
        List<StringBuilder> list = Arrays.asList(new StringBuilder("foo"),
        new StringBuilder("bar"));

        // 匿名クラスと初期化ブロックを利用
        List<StringBuilder> slist = new ArrayList<StringBuilder>() {
            {
                add(new StringBuilder("foo"));
                add(new StringBuilder("bar"));
            }
        };
    }
}
