import java.util.*;

public class Main {
    // 文字列の長さで比較するComparator
    static class StringLengthComparator implements Comparator<String> {
        @Override
        public int compare(String o1, String o2) {
            return o1.length() - o2.length();
        }
    };

    // 上記Comparatorを使ってソート処理するコード
    public static void main(String... args) {
        List<String> list = Arrays.asList("xyz", "abc", "defghi");

        // 下記2行は同じ動作
        Collections.sort(list, new StringLengthComparator());
        list.sort(new StringLengthComparator()); // Java8以降

        System.out.println(list); //=> [xyz, abc, defghi] を出力
    }
}
