import java.util.*;

public class Main {
    public static void main(String... args) {
        List<Integer> list = Arrays.asList(0, 1, 2, 3, 4, 5);
        int sum = 0;

        // 拡張for構文を使うパターン
        for (Integer n: list) {
            sum += n;
        }

        // イテレータを使うパターン
        for (Iterator<Integer> it = list.iterator(); it.hasNext(); ) {
            Integer n = it.next();
            sum += n;
        }

        // インデックスでforループをまわすパターン
        for (int i = 0; i < list.size(); i++) {
            Integer n = list.get(i);
            sum += n;
        }
    }
}
