import java.util.function.Consumer;

public class Main {
    Consumer<String> createProc(String paramValue) { // paramValueは実質finalのパラメータ変数
        String localValue = "local"; // localValueは実質finalのローカル変数

        // ラムダ式の本体でパラメータ変数とローカル変数を利用可能
        Consumer<String> proc = s -> System.out.println(s + ": " + paramValue + ", " + localValue);
        return proc; // ラムダ式の評価値（関数単体の参照）を返す
    }

    public static void main(String... args) {
        Main my1 = new Main();
        Consumer<String> proc = my1.createProc("param");
        // ラムダ式のメソッド実行
        proc.accept("showing");  //=> "showing: param, local" を出力
    }
}
