import java.util.function.Consumer;

public class Main {
    public static void main(String... args) {
        // ラムダ式のパラメータ変数sおよび式内で宣言したローカル変数nは、ラムダ式に閉じたスコープ
        Consumer<String> consumer1 = s -> { int n = 1; System.out.println(s + n); };
        Consumer<String> consumer2 = s -> { int n = 2; System.out.println(s + n); };

        // 以下、ラムダ式から見えないスコープ
        int n = 0; // 変数nを宣言可能
        String s = ""; // 変数sを宣言可能
    }
}
