import java.util.function.IntSupplier;

public class Main {
    private int count;
    IntSupplier makeCounter(int start) {
        this.count = start;
        return () -> count++;
    }

    public static void main(String... args) {
        IntSupplier counter1 = new Main().makeCounter(1);
        IntSupplier counter2 = new Main().makeCounter(10);

        // ふたつは独立したカウンター
        System.out.println(counter1.getAsInt()); //=> 1 を出力
        System.out.println(counter2.getAsInt()); //=> 10 を出力
    }
}
