import java.util.function.*;

public class Main {
    public static void main(String... args) {
        // 処理単体の定義
        Consumer<String> proc1 = msg -> System.out.println("showing1: " + msg);
        Consumer<String> proc2 = msg -> System.out.println("showing2: " + msg);

        // 2つの処理を合成した処理
        Consumer<String> proc1then2 = proc1.andThen(proc2);
        proc1then2.accept("foobar"); // => "showing1: foobar"
                                     // => "showing2: foobar" を表示
    }
}
