import java.util.function.*;

public class Main {
    public static void main(String... args) {
        // 関数単体の定義
        Predicate<Integer> isPositive = n -> n > 0; // 数値が正かを判定
        Predicate<Integer> isEven = n -> n % 2 == 0; // 偶数かを判定

        // negateで論理反転（0または負数で真になる判定）
        Predicate<Integer> isNegative = isPositive.negate();
        isNegative.test(-1); //=> true

        // 正数かつ偶数を判定
        Predicate<Integer> isPositiveEven = isPositive.and(isEven);
        isPositiveEven.test(10); //=> true
    }
}
