import java.util.function.*;

public class Main {
    public static void main(String... args) {
        // 2引数aとbを受け取り a + b を返す関数型インターフェース
        // (a, b) -> a + b
        Function<Integer,Function<Integer,Integer>> fnPlus = a -> b -> a + b;

        // 上記を愚直に書き直したコード
        fnPlus = a -> { Function<Integer,Integer> plus = b -> a + b;
                        return plus; };

        // fnPlusの呼び出しコード
        fnPlus.apply(1).apply(2); //=> 1 + 2 = 3
    }
}
