import java.util.*;

public class MyMap {
    // 挙動パラメータとして渡すメソッド
    static int twice(int n) {
        return n * 2;
    }

    public static void main(String... args) {
        Map<Integer,Integer> map = new HashMap<>();
        for (int i = 0; i < 10; i++) {
            // 下記2行はほとんど同じ動作
            map.putIfAbsent(i, twice(i)); // キーが存在しなくてもtwiceが呼ばれる
                                          //（putIfAbsent呼び出し時にtwiceを呼ぶため）
            map.computeIfAbsent(i, MyMap::twice); // キーが存在しない場合、twiceは呼ばれない
        }
    }
}
