import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        IntSummaryStatistics stat = IntStream.range(0, 20).collect(IntSummaryStatistics::new,
                                                                   IntSummaryStatistics::accept,
                                                                   IntSummaryStatistics::combine);
        System.out.printf("%d,%d,%d,%d,%f", stat.getCount(), stat.getSum(), stat.getMin(), stat.getMax(), stat.getAverage());
    }
}
