public class PrintStack {
    static void printStackTrace() {
        StackTraceElement frames[] = Thread.currentThread().getStackTrace();
        for (StackTraceElement frame : frames) {
            System.out.println(frame.getClassName() + "#" +
                               frame.getMethodName() +
                               ":" + frame.getLineNumber());
        }
    }

    public static void main(String... args) {
        // 自作スタックトレース表示処理の呼び出し
        printStackTrace();
        // 下記1行でも表示可能(細かい表示制御はできません)
        Thread.currentThread().dumpStack();
    }
}
