import java.io.*;

public class Main {
    public static void main(String... args) throws InterruptedException {
        Main my = new Main();
        try {
            my.exec(); // リスト14.27のexecメソッドを仮定（内部で例外翻訳して例外送出）
        } catch (AppException e) {
            e.printStackTrace(); // 例外オブジェクトを文字列化して出力
        }
    }

    void exec() throws AppException {  // throws節にはアプリケーション例外だけを書く
        try {
            int c = System.in.read();  // 低レベルの検査例外が発生する処理
        } catch (IOException e) {
            throw new AppException(e); // 高レベルのアプリケーション例外に翻訳
        }
    }
}
