import java.util.*;

public class Main {
    static void exec(List<? extends CharSequence> list) {
        // 下記のようにCharSequence型の要素取得は可能
        CharSequence cs = list.get(0);

        // しかし以下4行はすべてコンパイルエラーになる（String型やStringBuilder型での要素の入出力は不可）
        list.add(0, new String());
        list.add(0, new StringBuilder());
        String s = list.get(0);
        StringBuilder sb = list.get(0);
    }

    public static void main(String... args) {
        // 呼び出し側（コンパイルがとおる）
        exec(new ArrayList<String>());
        exec(new ArrayList<StringBuilder>());
    }
}
