class MyWorker implements Runnable {
    private static final int NUM_LOOP = 10000000; // 増やしすぎによるint値のオーバーフローに注意
    private final MyCounter counter;
    MyWorker(MyCounter counter) {
        this.counter = counter;
    }

    @Override
    public void run() { // サブスレッドのエントリポイント
        for (int i = 0; i < NUM_LOOP; i++) {
            counter.increment();
        }
    }
}
