import java.util.concurrent.*;

public class Main {
    public static void main(String... args) throws InterruptedException, ExecutionException {
        ExecutorService executor = Executors.newFixedThreadPool(8);
        MyCounter counter = new MyCounter(); // 同じカウンターを共有

        Future<?> ret1 = executor.submit(new MyWorker(counter));
        Future<?> ret2 = executor.submit(new MyWorker(counter));

        // Futureのgetメソッドでサブスレッド完了を待機
        ret1.get();
        ret2.get();
        executor.shutdown();

        counter.show(); //=> 2つのスレッドがNUM_LOOP回のincrementを呼ぶので、結果は20000000になるはず...
    }
}
