import java.lang.reflect.Proxy;

public class Main {
    public static void main(String... args) {
        // プロクシオブジェクトの取得
        My my = (My)Proxy.newProxyInstance(Main.class.getClassLoader(), // クラスローダ
        new Class<?>[] { My.class }, // インターフェースのClassオブジェクト
        new MyProxy(new MyImpl())); // InvocationHandlerオブジェクト
        int ret = my.exec("abc"); // プロクシのinvoke経由でexecメソッド呼び出し
        System.out.println("ret = " + ret); //=> 0（MyProxyクラスのinvokeメソッドの返り値）
    }
}
