public class Main {
    public static void main(String...args) {
        MyBean bean1 = new MyBean();
        bean1.setWidth(10);
        
        MyBean bean2 = new MyBean();
        bean2.setWidth(20);
        
        assert(bean1.getWidth() == 10 && bean2.getWidth() == 20);

        bean1.widthProperty().bind(bean2.widthProperty());
        assert(bean1.getWidth() == 20 && bean2.getWidth() == 20);
        
        bean2.setWidth(30);
        assert(bean1.getWidth() == 30 && bean2.getWidth() == 30);
        
        bean1.widthProperty().unbind();
        
        bean2.setWidth(40);
        assert(bean1.getWidth() == 30 && bean2.getWidth() == 40);
    }
}
