class My {
    // フィールド変数の初期値の式
    private final int n = exec();

    // 別のメソッド内から呼び出し
    void otherMethod() {
        exec();
    }
    // コンストラクタ内から呼び出し
    My() {
        exec();
    }
    // 初期化ブロック内から呼び出し
    {
        exec();
    }

    // メソッド宣言（クラス内で書く位置はスコープと無関係）
    private int exec() { // privateから別のアクセス制御に変更しても上記は成り立つ
        return 1;
    }
}
