public class My {
    private static final StringBuilder sharedSb = new StringBuilder("abc"); // クラスフィールド
    private final StringBuilder sb = new StringBuilder("123");  // インスタンスフィールド

    void appendString(String s) {
        sharedSb.append(s);
        sb.append(s);
    }

    public static void main(String... args) {
        My my1 = new My();
        My my2 = new My();

        my1.appendString("456");
        System.out.println(my1.sb); //=> "123456"を出力
        System.out.println(My.sharedSb); //=> "abc456"を出力

        my2.appendString("789");
        System.out.println(my2.sb); //=> "123789"を出力
        System.out.println(My.sharedSb); //=> "abc456789"を出力
    }
}
