class My {
    // フィールド宣言
    private final String s = "foo"; // privateから別のアクセス制御に変更しても以下は成り立つ
    // (別の)フィールド変数の初期化子でsを使用可能
    private final String s2 = s;
    // メソッド内でsを使用可能
    void method() {
        System.out.println(s);
    }
    // コンストラクタ内でsを使用可能
    My() {
        System.out.println(s);
    }
    // 初期化ブロック内でsを使用可能
    {
        System.out.println(s);
    }
}
