import java.util.*;

public class Main {
    int getSum(Collection<Integer> coll) { // 引数にListでもSetでも受け入れ可能なメソッド
        int sum = 0;
        for (Integer n : coll) {
            sum += n;
        }
        /* こちらでもOK
           for (Iterator<Integer> it = coll.iterator(); it.hasNext(); ) {
           Integer n = it.next();
           sum += n;
           }
        */
        return sum;
    }

    public static void main(String... args) {
        Main main = new Main();
        int sum = main.getSum(Arrays.asList(0, 1, 2, 3, 4, 5));
    }
}