class MyEcho {
    enum Type { TYPE1, TYPE2, }  // 「列挙型と定数と不変型」の章を参照
    private final Type type;     // 変数typeはTYPE1かTYPE2のどちらかの値になる

    MyEcho(Type type) {
        this.type = type;
    }

    // replaceとcapitalizeは下請け処理メソッド
    private String replace(String input, String oldStr, String newStr) {
        return input.replaceAll(oldStr, newStr);
    }
    private String capitalize(String input) {
        return input.toUpperCase();
    }

    public String exec(String input) {
        if (type == Type.TYPE1) {
            return capitalize(input);
        } else if (type == Type.TYPE2) {
            return replace(input, "he", "she");
        } else {
            //条件分岐が続くと仮定
            return "";
        }
    }
}
