import java.util.function.IntSupplier;

public class Main {
    // ラムダ式を返すメソッド
    IntSupplier makeCounter(int start) {
        int count = start;    // count変数は実質finalではないため
        return () -> count++; // このラムダ式はコンパイルエラー
    }

    public static void main(String... args) {
        Main my = new Main();
        IntSupplier counter = my.makeCounter(1);
        System.out.println(counter.getAsInt()); // 期待値: 1
        System.out.println(counter.getAsInt()); // 期待値: 2
    }
}
