import java.util.*;
import java.util.function.*;

public class Main {
    public static void main(String... args) {
        List<Integer> list = Arrays.asList(0, 1, 2, 3, 4, 5);
        // List<Integer> list を仮定すると下記4行はすべて等価

        list.forEach(System.out::println); // メソッド参照
        list.forEach(n -> System.out.println(n)); // ラムダ式
        list.forEach((Integer n) -> { System.out.println(n); }); // ラムダ式（非省略版）
        for (Integer n : list) { System.out.println(n); }  // 拡張for構文
    }
}
