import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        Map<String,Integer> map = new HashMap<>();
        map.put("ichi", 1);
        map.put("ni", 2);

        // Mapからストリームを生成してキーと値を表示
        Stream<Map.Entry<String,Integer>> stream = map.entrySet().stream();
        stream.forEach(e -> System.out.println(e.getKey() + ", " + e.getValue()));

        // 上記を1行で書く例
        map.entrySet().stream().forEach(e -> System.out.println(e.getKey() + ", " + e.getValue()));

        // マップ要素の値だけを取り出す例
        map.entrySet().stream().map(Map.Entry::getValue).forEach(System.out::println);
    }
}
