import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        Stream<String> stream =  Arrays.asList("zzz", "aa", "bbb", "x").parallelStream();
        // reduce処理
        int min = stream.reduce(Integer.MAX_VALUE,
               (n1, s) -> { int n2 = s.length();
                            return Integer.min(n1, n2); },
               (n1, n2) -> Integer.min(n1, n2));

        /*
        // 上記は次のように書いても同じ（orElseはOptional型のメソッド）
        int min = stream.mapToInt(String::length).min().orElse(0);
        */
    }
}
