import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        Stream<String> stringStream = Stream.of("abc", "xyz", "defghi", "a");
        // Stream<String> stringStreamを仮定
        List<Integer> result = stringStream
            .collect(() -> { return new ArrayList<>(); },   // ArrayList<Integer>型の初期リストを生成（並列処理ごとに生成）
                             (partialList, s) -> { partialList.add(s.length()); },   // 部分リストに要素（文字列長）を追加
                             (leftList, rightList) -> { leftList.addAll(rightList); });  // 部分リストのマージ処理
    }
}
