import java.util.*;
import java.util.function.*;
import java.util.stream.*;

public class Main {
    public static void main(String... args) {
        // 数値群ストリーム
        Stream<Integer> nums = IntStream.rangeClosed(0, 9).boxed(); // 0から9までの数値群

        // 分割基準は2で割りきれるかどうか
        Map<Boolean, List<Integer>> result = nums.collect(Collectors.partitioningBy(n -> n % 2 == 0));
        System.out.println(result); //=> "{false=[1, 3, 5, 7, 9], true=[0, 2, 4, 6, 8]}" を出力
    }
}
