public class Main {
    @FunctionalInterface
    interface Appender2 {
        public void appendInSAM2(StringBuilder sb, String s);
    }

    public static void main(String... args) {
        Appender2 appender2 = (sb, s) -> sb.append(s); // ラムダ式を関数型インターフェース型の変数に代入

        StringBuilder result = new StringBuilder();
        appender2.appendInSAM2(result, "abc"); // ラムダ式の本体実行
        appender2.appendInSAM2(result, "def"); // ラムダ式の本体実行

        System.out.println(result); //=> "abcdef" を出力
    }
}
