public class Main {
    @FunctionalInterface
    interface Appender2 {
        public void appendInSAM2(StringBuilder sb, String s);
    }

    public static void main(String... args) {
        // 返り値の型が異なるのでエラー（Appender2のappendInSAM2の返り値の型はvoid）
        Appender2 appender = (sb, s) -> { return sb.append(s); };

        // 引数列の型が異なるのでエラー
        Appender2 appender = (sb) -> sb.append("");
        Appender2 appender = (String sb, String s) -> sb.append(s);
        Appender2 appender = (StringBuilder sb, String s, int n) -> sb.append(s);
    }
}
